Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 225471 - app-cdr/brasero-0.7.90 compile failure
Summary: app-cdr/brasero-0.7.90 compile failure
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: optical media herd
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-08 22:44 UTC by nm (RETIRED)
Modified: 2008-06-12 19:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,269.32 KB, text/plain)
2008-06-08 22:45 UTC, nm (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nm (RETIRED) gentoo-dev 2008-06-08 22:44:55 UTC
I attempted to upgrade to the latest Brasero version, but it fails to compile with the following error message:

brasero-metadata.o: In function `brasero_metadata_process_pending_tag_messages':
/var/tmp/portage/app-cdr/brasero-0.7.90/work/brasero-0.7.90/src/brasero-metadata.c:417: undefined reference to `gst_bus_pop_filtered'
collect2: ld returned 1 exit status
make[3]: *** [brasero] Error 1
make[3]: Leaving directory `/var/tmp/portage/app-cdr/brasero-0.7.90/work/brasero-0.7.90/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-cdr/brasero-0.7.90/work/brasero-0.7.90/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-cdr/brasero-0.7.90/work/brasero-0.7.90'
make: *** [all] Error 2
 * 
 * ERROR: app-cdr/brasero-0.7.90 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  688:  Called gnome2_src_compile
 *             environment, line  602:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure


$ emerge --info

Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r7 x86_64 Intel(R) Core(TM)2 Duo CPU T5250 @ 1.50GHz
Timestamp of tree: Sun, 08 Jun 2008 21:04:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -msse3 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=15 --exclude-from=/etc/portage/rsync_excludes"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa amd64 berkdb branding cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread fortran gdbm glitz gpm gtk hal iconv isdnlog jpeg lame libnotify midi mmx mp3 mudflap ncurses nptl nptlonly ogg opengl openmp pam pcre perl png pppd python readline reflection session spl sse sse2 ssl startup-notification svg tcpd truetype unicode usb vorbis xorg zlib" 
ELIBC="glibc"
KERNEL="linux"
LINGUAS="en en_US"
USERLAND="GNU"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 1 nm (RETIRED) gentoo-dev 2008-06-08 22:45:49 UTC
Created attachment 156013 [details]
build.log

Attaching the complete build log.
Comment 2 Jon Wilson 2008-06-09 05:37:22 UTC
I can confirm an identical build failure, with almost identical build environment.
Comment 3 Cirus 2008-06-09 09:23:02 UTC
/var/tmp/portage/app-cdr/brasero-0.7.90/work/brasero-0.7.90/src/brasero-metadata.c:417: undefined reference to `gst_bus_pop_filtered'
collect2: ld returned 1 exit status
make[3]: *** [brasero] Ошибка 1

Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r4 i686)
=================================================================
System uname: 2.6.25-gentoo-r4 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Timestamp of tree: Sun, 08 Jun 2008 01:45:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LC_ALL=""
LINGUAS="ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa berkdb bzip2 cdda cli cracklib crypt cups dbus dri eds fortran gdbm glitz gnome gpm gtk hal iconv isdnlog jpeg kerberos libnotify logrotate midi mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl png pppd python readline reflection samba session spl sse sse2 sse3 ssl svg tcpd tiff truetype unicode vim-syntax x86 xattr xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Samuli Suominen gentoo-dev 2008-06-09 11:54:35 UTC
I've checked RELEASE file of >=gstreamer-0.10.15 which should add gst_bus_pop_filtered to API. It could be simple as 0.10.14 being too old.
Please try with =media-libs/gstreamer-0.10.17 and  media-libs/gst-plugins-base-0.10.17 and report back.

Thanks!
Comment 5 Milos Popovic 2008-06-09 19:36:41 UTC
I don’t want to open new bug for this...
...I think that you need dev-libs/libisoburn for libburn USE flag. I emerged brasero with libburn, and it did not build plugin until I installed this package.
Comment 6 Samuli Suominen gentoo-dev 2008-06-10 14:18:50 UTC
(In reply to comment #5)
> I don’t want to open new bug for this...
> ...I think that you need dev-libs/libisoburn for libburn USE flag. I emerged
> brasero with libburn, and it did not build plugin until I installed this
> package.
> 

>>> Unmerging dev-libs/libisoburn-0.1.8_p0...
[ .. ]
Build libburnia plugins : yes
[ .. ]
>>> /usr/lib64/brasero/plugins/libbrasero-libisofs.so
>>> /usr/lib64/brasero/plugins/libbrasero-libburn.so
[ .. ]
unique brasero-0.7.90 # grep -r -i isoburn *
unique brasero-0.7.90 # 

Sorry, but it seems you are wrong.
Comment 7 Samuli Suominen gentoo-dev 2008-06-10 17:52:49 UTC
So, has anyone tested if it works with newer gstreamer?
Comment 8 nm (RETIRED) gentoo-dev 2008-06-12 09:41:24 UTC
(In reply to comment #7)
> So, has anyone tested if it works with newer gstreamer?

Brasero compiles fine once gstreamer-0.10.17 is installed, so the ebuild dependency needs to be updated to >=0.10.17.

Haven't tested it with latest (.10.19) yet. You want me to, or do you feel the bug can be closed now?
Comment 9 Jon Wilson 2008-06-12 10:34:06 UTC
I've compiled it on 0.10.19 and it seems fine.
Comment 10 Samuli Suominen gentoo-dev 2008-06-12 13:52:06 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > So, has anyone tested if it works with newer gstreamer?
> 
> Brasero compiles fine once gstreamer-0.10.17 is installed, so the ebuild
> dependency needs to be updated to >=0.10.17.
> 
> Haven't tested it with latest (.10.19) yet. You want me to, or do you feel the
> bug can be closed now?
> 

It's cool. Thanks for testing (You too Jon) . Committed.
Comment 11 Samuli Suominen gentoo-dev 2008-06-12 19:10:43 UTC
Reported upstream.